Ticker API - manage mediastreamer2 graphs.
Mediastreamer2 API

Ticker API to manage mediastreamer2 graphs. More...

## Typedefs

typedef uint64_t(* | MSTickerTimeFunc) (void *)
typedef struct _MSTicker | MSTicker

## Functions

MSTicker * | ms_ticker_new (void)
void | ms_ticker_set_name (MSTicker *ticker, const char *name)
int | ms_ticker_attach (MSTicker *ticker, MSFilter *f)
int | ms_ticker_detach (MSTicker *ticker, MSFilter *f)
void | ms_ticker_destroy (MSTicker *ticker)
void | ms_ticker_set_time_func (MSTicker *ticker, MSTickerTimeFunc func, void *user_data)
void | ms_ticker_print_graphs (MSTicker *ticker)

## Detailed Description

Ticker API to manage mediastreamer2 graphs.

This file provide the API needed to create, start and stop a graph.

## Typedef Documentation

MSTickerTimeFunc

Structure for method getting time in miliseconds from an external source.

MSTicker

Structure for ticker object.

## Function Documentation

MSTicker* ms_ticker_new | ( | void |  | ) |

Create a ticker that will be used to start and stop a graph.

Returns: MSTicker * if successfull, NULL otherwise.

void ms_ticker_set_name | ( | MSTicker * | ticker,
|  | const char * | name
| ) |  |

Set a name to the ticker (used for logging)

int ms_ticker_attach | ( | MSTicker * | ticker,
|  | MSFilter * | f
| ) |  |

Attach a chain of filters to a ticker. The processing chain will be executed until ms_ticker_detach will be called.

Parameters

  ticker | A MSTicker object.
  f | A MSFilter object.

Returns: 0 if successfull, -1 otherwise.

int ms_ticker_detach | ( | MSTicker * | ticker,
|  | MSFilter * | f
| ) |  |

Dettach a chain of filters to a ticker. The processing chain will no more be executed.

Parameters

  ticker | A MSTicker object.
  f | A MSFilter object.

Returns: 0 if successfull, -1 otherwise.

void ms_ticker_destroy | ( | MSTicker * | ticker | ) |

Destroy a ticker.

Parameters

  ticker | A MSTicker object.

void ms_ticker_set_time_func | ( | MSTicker * | ticker,
|  | MSTickerTimeFunc | func,
|  | void * | user_data
| ) |  |

Override MSTicker's time function. This can be used to control the ticker from an external time provider, for example the clock of a sound card.

Parameters

  ticker | A MSTicker object.
  func | A replacement method for calculating "current time"
  user_data | Any pointer to user private data.

void ms_ticker_print_graphs | ( | MSTicker * | ticker | ) |

Print on stdout all filters of a ticker. (INTERNAL: DO NOT USE)

Parameters

  ticker | A MSTicker object.